---
updatedAt: 2025-06-11T20:14:25.000Z
agentTools:
  projectIndex: https://developers.triathlon.org/llms.txt
---

# Retrieve Program Entry

The **Retrieve Program Entry** method returns a single program entry by `entry_id`.

This method will return a `404` if no matching entry if found. This method inherits the access permissions of the [Program Listings](https://developers.triathlon.org/docs/program-listings) method and as such wait list data will not be accessible prior to 30 days before the start of the race.

The following example returns the program entry for entry\_id of 35841.

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events/78726/programs/264331/entries/358431
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "triathlon-api-v1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.triathlon.org/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey",
        "x-default": "2649776ef9ece4c391003b521cbfce7a"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/events/{event_id}/programs/{prog_id}/entries/{entry_id}": {
      "get": {
        "summary": "Retrieve Program Entry",
        "description": "",
        "operationId": "retrieve-program-entry",
        "parameters": [
          {
            "name": "event_id",
            "in": "path",
            "description": "The unique id of the event",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "prog_id",
            "in": "path",
            "description": "The unique id of the program",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "entry_id",
            "in": "path",
            "description": "The unique entry_id of the entry",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"code\":200,\n   \"status\":\"success\",\n   \"data\":{\n      \"athlete_id\":21486,\n      \"athlete_title\":\"Pamella Oliveira\",\n      \"athlete_slug\":\"pamella_oliveira\",\n      \"athlete_first\":\"Pamella\",\n      \"athlete_last\":\"Oliveira\",\n      \"athlete_country_id\":127,\n      \"athlete_gender\":\"female\",\n      \"athlete_yob\":\"1987\",\n      \"validated\":false,\n      \"athlete_profile_image\":null,\n      \"athlete_noc\":\"BRA\",\n      \"athlete_country_name\":\"Brazil\",\n      \"athlete_country_isoa2\":\"BR\",\n      \"athlete_listing\":\"http:\\/\\/www.triathlon.org\\/athletes\\/profile\\/21486\\/pamella_oliveira\",\n      \"athlete_flag\":\"https:\\/\\/f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com\\/images\\/icons\\/br.png\",\n      \"athlete_api_listing\":\"https:\\/\\/api.triathlon.org\\/v1\\/v1\\/athletes\\/21486\",\n      \"athlete_categories\":[\n         42\n      ],\n      \"entry_id\":353216,\n      \"program_id\":270564,\n      \"approved\":true,\n      \"start_num\":33\n   }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "athlete_id": {
                          "type": "integer",
                          "example": 21486,
                          "default": 0
                        },
                        "athlete_title": {
                          "type": "string",
                          "example": "Pamella Oliveira"
                        },
                        "athlete_slug": {
                          "type": "string",
                          "example": "pamella_oliveira"
                        },
                        "athlete_first": {
                          "type": "string",
                          "example": "Pamella"
                        },
                        "athlete_last": {
                          "type": "string",
                          "example": "Oliveira"
                        },
                        "athlete_country_id": {
                          "type": "integer",
                          "example": 127,
                          "default": 0
                        },
                        "athlete_gender": {
                          "type": "string",
                          "example": "female"
                        },
                        "athlete_yob": {
                          "type": "string",
                          "example": "1987"
                        },
                        "validated": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "athlete_profile_image": {},
                        "athlete_noc": {
                          "type": "string",
                          "example": "BRA"
                        },
                        "athlete_country_name": {
                          "type": "string",
                          "example": "Brazil"
                        },
                        "athlete_country_isoa2": {
                          "type": "string",
                          "example": "BR"
                        },
                        "athlete_listing": {
                          "type": "string",
                          "example": "http://www.triathlon.org/athletes/profile/21486/pamella_oliveira"
                        },
                        "athlete_flag": {
                          "type": "string",
                          "example": "https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/br.png"
                        },
                        "athlete_api_listing": {
                          "type": "string",
                          "example": "https://api.triathlon.org/v1/v1/athletes/21486"
                        },
                        "athlete_categories": {
                          "type": "array",
                          "items": {
                            "type": "integer",
                            "example": 42,
                            "default": 0
                          }
                        },
                        "entry_id": {
                          "type": "integer",
                          "example": 353216,
                          "default": 0
                        },
                        "program_id": {
                          "type": "integer",
                          "example": 270564,
                          "default": 0
                        },
                        "approved": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "start_num": {
                          "type": "integer",
                          "example": 33,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```